- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_op_ctx.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_hash.h>`
`#include <axutil_env.h>`
`#include <axis2_msg_ctx.h>`
`#include <axis2_op.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_op_ctx | axis2_op_ctx_t
## Functions
AXIS2_EXTERN axis2_op_ctx_t * | axis2_op_ctx_create (const axutil_env_t *env, struct axis2_op *op, struct axis2_svc_ctx *svc_ctx)
AXIS2_EXTERN axis2_ctx_t * | axis2_op_ctx_get_base (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_op_ctx_free (struct axis2_op_ctx *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_init (struct axis2_op_ctx *op_ctx, const axutil_env_t *env, struct axis2_conf *conf)
AXIS2_EXTERN struct axis2_op * | axis2_op_ctx_get_op (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_svc_ctx * | axis2_op_ctx_get_parent (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_add_msg_ctx (struct axis2_op_ctx *op_ctx, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axis2_msg_ctx_t * | axis2_op_ctx_get_msg_ctx (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env, const axis2_wsdl_msg_labels_t message_id)
AXIS2_EXTERN axis2_bool_t | axis2_op_ctx_get_is_complete (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_set_complete (struct axis2_op_ctx *op_ctx, const axutil_env_t *env, axis2_bool_t is_complete)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_cleanup (struct axis2_op_ctx *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_set_parent (struct axis2_op_ctx *op_ctx, const axutil_env_t *env, struct axis2_svc_ctx *svc_ctx)
AXIS2_EXTERN axis2_msg_ctx_t ** | axis2_op_ctx_get_msg_ctx_map (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_set_response_written (axis2_op_ctx_t *op_ctx, const axutil_env_t *env, const axis2_bool_t response_written)
AXIS2_EXTERN axis2_bool_t | axis2_op_ctx_get_response_written (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_op_ctx_destroy_mutex (struct axis2_op_ctx *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_op_ctx_is_in_use (const axis2_op_ctx_t *op_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_set_in_use (struct axis2_op_ctx *op_ctx, const axutil_env_t *env, axis2_bool_t is_in_use)
AXIS2_EXTERN axis2_status_t | axis2_op_ctx_increment_ref (axis2_op_ctx_t *op_ctx, const axutil_env_t *env)

## Detailed Description